Summary:	A picture viewer for the Xfce desktop environment
Name:		ristretto
Version:	0.0.21
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphics
URL:		http://goodies.xfce.org/projects/applications/ristretto
Source0:	http://goodies.xfce.org/releases/ristretto/%{name}-%{version}.tar.gz
BuildRequires:	gtk+2-devel
BuildRequires:	libxfce4util-devel
BuildRequires:	libthunar-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libexif-devel
BuildRequires:	libxfcegui4-devel
BuildRequires:	xfconf
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
Requires:	xfconf
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Ristretto is a fast and lightweight picture-viewer for the 
Xfce desktop environment.

%prep
%setup -q

%build
%configure2_5x
		
%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install \
	--add-only-show-in="XFCE" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name} --with-gnome

%clean 
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%{update_desktop_database}
%{update_mime_database}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_desktop_database}
%{clean_mime_database}
%clean_icon_cache hicolor
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg


%changelog
* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.21-2mdv2009.1
+ Revision: 349167
- rebuild whole xfce

* Sat Nov 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.21-1mdv2009.1
+ Revision: 307792
- update to new version 0.0.21
- add support for xfconf
- drop patch 0 and 1, fixed upstream

* Sat Nov 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.20-5mdv2009.1
+ Revision: 301087
- Patch1: fix memleak

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.20-4mdv2009.1
+ Revision: 294926
- rebuild for new Xfce4.6 beta1

* Sat Aug 09 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.20-3mdv2009.0
+ Revision: 270024
- Patch0: fix ristretto crash on adjusting image size

* Fri Jul 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.20-2mdv2009.0
+ Revision: 238069
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 25 2008 Funda Wang <fundawang@mandriva.org> 0.0.20-1mdv2009.0
+ Revision: 211112
- New version 0.0.20

* Sun May 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.19-1mdv2009.0
+ Revision: 205572
- new version

* Fri Apr 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.18-2mdv2009.0
+ Revision: 192579
- drop ristretto-import.sh script as it doesn't work properly, use gthumb instead

* Wed Mar 26 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.18-1mdv2008.1
+ Revision: 190230
- new version

* Wed Mar 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.17-2mdv2008.1
+ Revision: 187108
- add wrapper script which searches removeable media for graphic files and displays them
 this script is going to be executed when a digital camera or similiar device is connected to the usb port

* Mon Feb 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.17-1mdv2008.1
+ Revision: 170061
- new version

* Mon Jan 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.16-1mdv2008.1
+ Revision: 159155
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 10 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.15-1mdv2008.1
+ Revision: 117017
- new version

* Sun Dec 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.14-1mdv2008.1
+ Revision: 114367
- new version

* Sun Nov 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.13-1mdv2008.1
+ Revision: 111931
- new version

* Sat Nov 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.12-1mdv2008.1
+ Revision: 109479
- new version

* Wed Nov 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.11-1mdv2008.1
+ Revision: 106759
- new version

* Sun Nov 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.10-1mdv2008.1
+ Revision: 105606
- fix buildrequires
- new version
- new license policy

* Tue Oct 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.9-1mdv2008.1
+ Revision: 98775
- new version

* Thu Oct 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.7-1mdv2008.0
+ Revision: 95350
- new version

* Sun Sep 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.6-1mdv2008.0
+ Revision: 94000
- add missing buildrequires on libexif-devel
- new version

* Fri Sep 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.5-1mdv2008.0
+ Revision: 85527
- new version
- new version

* Mon Sep 03 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.3-1mdv2008.0
+ Revision: 78567
- new version

* Thu Aug 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.2-1mdv2008.0
+ Revision: 75402
- new version
- add docs

* Tue Aug 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.1-1mdv2008.0
+ Revision: 72305
- make it work
- Import ristretto

